Subject: Re: selective git-update-index per diff(1) chunks

From: Anand Kumria <[email-masked]>
Date: Fri, 1 Dec 2006 16:45:06 +0000 (UTC)

On Fri, 01 Dec 2006 03:38:13 -0800, Junio C Hamano wrote:

> Peter Baumann <[email-masked]>
> writes:
> 
>> I don't think it belongs in the plumbing, the git-update-index but I
>> think something like this would be very usefull.
>>
>> AFAIR darcs has this functionality. It selectively ask for each hunk if
>> it should be commited. This would be awfull to have in git.
> 
> I concur, on both counts.  My own now-defunct Porcelain had the
> darcs style interactive hunk selection because it felt so
> useful (and sometimes it was).

Is there a good receipe on how to do this? Everytime I do it, I try a
different method; since I'm testing out my understanding of things.

It'd nice to have some of these "advanced receipes" that people often do
noted down somewhere.

Sometimes I feel git is kind of like the Emacs of VCS ... there is always
more to learn, even when you think you have a good handle on things.

Cheers,
Anand